package core.stlmes.server.sale.service.plan;

import java.util.HashMap;
import java.util.List;

import CoreFS.SA06.CoreReturnObject;

public interface ISlmDlivDir {
	/***
	 * 新增汽车出库计划
	 * 
	 * @param hs
	 * @return CoreReturnObject
	 * @throws Exception
	 */
	public CoreReturnObject insertCarDelivPlan(HashMap hsDliv,
			List<HashMap> hsDlivDetail);

	/***
	 * 删除汽车出库计划
	 * 
	 */
	public CoreReturnObject deleteCarDelivPlan(String dlivDirNo,
			String deleteMan);

	/***
	 * 删除汽车出库计划明细
	 * */
	public CoreReturnObject deleteCarDelivPlanDetail(String dlivDirNo, int seq);

	public CoreReturnObject insertShipDelivPlan(HashMap hsDliv,
			HashMap hsDlivDetail);

	public CoreReturnObject deleteShipDelivPlan(String dlivDirNo,
			String deleteMan);

	public CoreReturnObject deleteShipDelivPlanDetail(String dlivDirNo, int seq);

	/***
	 * 出库计划确认
	 * */
	public CoreReturnObject affrimDelivPlan(String dlivDirNo, String affrimMan);

	/***
	 * 出库计划下发
	 * */
	public CoreReturnObject sendDelivPlan(String dlivDirNo, String sendMan);

	/***
	 * 取消出库计划下发
	 * */

	public CoreReturnObject unsendDelivPlan(String dlivDirNo, String unsendMan);

	/***
	 * 更新汽车承运单位
	 * */
	public CoreReturnObject updateCarrierUnit(String carrier_unit,
			String phoneCode, String drivecard);

}
